export const REG_EXP_DATE_FMT_YEAR = /(y+|Y+)/
export const REG_EXP_DATE_FMT_MONTH = /(M+)/
export const REG_EXP_DATE_FMT_DAY = /(d+|D+)/
export const REG_EXP_DATE_FMT_HOUR = /(h+|H+)/
export const REG_EXP_DATE_FMT_MINUE = /(m+)/
export const REG_EXP_DATE_FMT_SECOND = /(s+)/
export const REG_EXP_DATE_FMT_MSECOND = /(S+)/
export const REG_EXP_DATE_FMT_WEEK_YEAR = /(W+)/
export const REG_EXP_DATE_FMT_WEEK_MONTH = /(w+)/

export const FMT_HTML5_DATETIME_LOCAL = 'YYYY-MM-DDTHH:mm' // <input type="datetime-local" />
export const FMT_HTML5_DATETIME_LOCAL_SECONDS = 'YYYY-MM-DDTHH:mm:ss' // <input type="datetime-local" step="1" />
export const FMT_HTML5_DATETIME_LOCAL_MS = 'YYYY-MM-DDTHH:mm:ss.SSS' // <input type="datetime-local" step="0.001" />
export const FMT_HTML5_DATE = 'YYYY-MM-DD' // <input type="date" />
export const FMT_HTML5_TIME = 'HH:mm' // <input type="time" />
export const FMT_HTML5_TIME_SECONDS = 'HH:mm:ss' // <input type="time" step="1" />
export const FMT_HTML5_TIME_MS = 'HH:mm:ss.SSS' // <input type="time" step="0.001" />
export const FMT_HTML5_WEEK = 'YYYY-[W]WW' // <input type="week" />
export const FMT_HTML5_MONTH = 'YYYY-MM' // <input type="month" />

export const FMT_DATE = 'YYYY-MM-DD'
export const FMT_DATE_TIME = 'YYYY-MM-DD HH:mm'